package com.ydl.js

import com.ydl.confide.api.IConfideService
import com.ydl.course.api.ICourseService
import com.ydl.muse.api.IMuseService
import com.ydl.ydlcommon.modular.ModularServiceManager
import com.yidianling.dynamic.api.IDynamicService
import com.yidianling.fm.api.service.IFMService
import com.yidianling.im.api.service.IImService
import com.yidianling.tests.api.service.ITestsApiService
import com.yidianling.user.api.service.IAppService
import com.yidianling.user.api.service.IUserService

class JsModularService {

    companion object{
        fun getIConfideService(): IConfideService{
            return ModularServiceManager.provide(IConfideService::class.java)
        }
        fun getIUserService(): IUserService{
            return ModularServiceManager.provide(IUserService::class.java)
        }
        fun getIAppService(): IAppService{
            return ModularServiceManager.provide(IAppService::class.java)
        }
        fun getIDynamicService(): IDynamicService{
            return ModularServiceManager.provide(IDynamicService::class.java)
        }

        fun getImService(): IImService {
            return ModularServiceManager.provide(IImService::class.java)
        }

        fun getITestsApiService(): ITestsApiService {
            return ModularServiceManager.provide(ITestsApiService::class.java)
        }

        fun getIFMService(): IFMService {
            return ModularServiceManager.provide(IFMService::class.java)
        }

        fun getICourseService(): ICourseService {
            return ModularServiceManager.provide(ICourseService::class.java)
        }

        fun getIMuseService(): IMuseService {
            return ModularServiceManager.provide(IMuseService::class.java)
        }
    }


}